diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/cmpci.c linux-2.5/sound/oss/cmpci.c
--- bk-linus/sound/oss/cmpci.c	2002-11-21 02:26:03.000000000 +0000
+++ linux-2.5/sound/oss/cmpci.c	2002-11-21 18:06:16.000000000 +0000
@@ -2034,7 +2035,7 @@ static int cm_ioctl(struct inode *inode,
 		if (s->dma_adc.mapped)
 			s->dma_adc.count &= s->dma_adc.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
@@ -2053,7 +2054,7 @@ static int cm_ioctl(struct inode *inode,
 				s->dma_adc.count &= s->dma_adc.fragsize-1;
 		}
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/es1370.c linux-2.5/sound/oss/es1370.c
--- bk-linus/sound/oss/es1370.c	2002-11-21 02:26:04.000000000 +0000
+++ linux-2.5/sound/oss/es1370.c	2002-11-21 18:06:17.000000000 +0000
@@ -1632,7 +1633,7 @@ static int es1370_ioctl(struct inode *in
 		if (s->dma_adc.mapped)
 			s->dma_adc.count &= s->dma_adc.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
@@ -1652,7 +1653,7 @@ static int es1370_ioctl(struct inode *in
 		if (s->dma_dac2.mapped)
 			s->dma_dac2.count &= s->dma_dac2.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
@@ -2113,7 +2114,7 @@ static int es1370_ioctl_dac(struct inode
 		if (s->dma_dac1.mapped)
 			s->dma_dac1.count &= s->dma_dac1.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/es1371.c linux-2.5/sound/oss/es1371.c
--- bk-linus/sound/oss/es1371.c	2002-11-21 02:26:04.000000000 +0000
+++ linux-2.5/sound/oss/es1371.c	2002-11-21 18:06:18.000000000 +0000
@@ -1820,7 +1821,7 @@ static int es1371_ioctl(struct inode *in
 		if (s->dma_adc.mapped)
 			s->dma_adc.count &= s->dma_adc.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
@@ -1840,9 +1841,10 @@ static int es1371_ioctl(struct inode *in
 		if (s->dma_dac2.mapped)
 			s->dma_dac2.count &= s->dma_dac2.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
+
         case SNDCTL_DSP_GETBLKSIZE:
 		if (file->f_mode & FMODE_WRITE) {
 			if ((val = prog_dmabuf_dac2(s)))
@@ -2291,7 +2294,7 @@ static int es1371_ioctl_dac(struct inode
 		if (s->dma_dac1.mapped)
 			s->dma_dac1.count &= s->dma_dac1.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/esssolo1.c linux-2.5/sound/oss/esssolo1.c
--- bk-linus/sound/oss/esssolo1.c	2002-11-21 02:26:04.000000000 +0000
+++ linux-2.5/sound/oss/esssolo1.c	2002-11-21 18:06:18.000000000 +0000
@@ -1469,7 +1470,7 @@ static int solo1_ioctl(struct inode *ino
 		if (s->dma_adc.mapped)
 			s->dma_adc.count &= s->dma_adc.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
@@ -1495,7 +1496,7 @@ static int solo1_ioctl(struct inode *ino
 		       cinfo.bytes, cinfo.blocks, cinfo.ptr, s->dma_dac.buforder, s->dma_dac.numfrag, s->dma_dac.fragshift,
 		       s->dma_dac.swptr, s->dma_dac.count, s->dma_dac.fragsize, s->dma_dac.dmasize, s->dma_dac.fragsamples);
 #endif
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/maestro.c linux-2.5/sound/oss/maestro.c
--- bk-linus/sound/oss/maestro.c	2002-11-21 02:26:06.000000000 +0000
+++ linux-2.5/sound/oss/maestro.c	2002-11-21 18:06:19.000000000 +0000
@@ -2760,7 +2761,7 @@ static int ess_ioctl(struct inode *inode
 		if (s->dma_adc.mapped)
 			s->dma_adc.count &= s->dma_adc.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
@@ -2777,7 +2778,7 @@ static int ess_ioctl(struct inode *inode
 		if (s->dma_dac.mapped)
 			s->dma_dac.count &= s->dma_dac.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/maestro3.c linux-2.5/sound/oss/maestro3.c
--- bk-linus/sound/oss/maestro3.c	2002-11-21 02:26:06.000000000 +0000
+++ linux-2.5/sound/oss/maestro3.c	2002-11-21 18:06:20.000000000 +0000
@@ -1815,7 +1816,7 @@ static int m3_ioctl(struct inode *inode,
         if (s->dma_adc.mapped)
             s->dma_adc.count &= s->dma_adc.fragsize-1;
         spin_unlock_irqrestore(&card->lock, flags);
-        if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+	if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 		return -EFAULT;
 	return 0;
 
@@ -1830,7 +1831,7 @@ static int m3_ioctl(struct inode *inode,
         if (s->dma_dac.mapped)
             s->dma_dac.count &= s->dma_dac.fragsize-1;
         spin_unlock_irqrestore(&card->lock, flags);
-        if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+	if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 		return -EFAULT;
 	return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/sonicvibes.c linux-2.5/sound/oss/sonicvibes.c
--- bk-linus/sound/oss/sonicvibes.c	2002-11-21 02:26:10.000000000 +0000
+++ linux-2.5/sound/oss/sonicvibes.c	2002-11-21 18:06:24.000000000 +0000
@@ -1803,7 +1804,7 @@ static int sv_ioctl(struct inode *inode,
 		if (s->dma_adc.mapped)
 			s->dma_adc.count &= s->dma_adc.fragsize-1;
 		spin_unlock_irqrestore(&s->lock, flags);
-                if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
+		if (copy_to_user((void *)arg, &cinfo, sizeof(cinfo)))
 			return -EFAULT;
 		return 0;
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/sound/oss/ymfpci.c linux-2.5/sound/oss/ymfpci.c
--- bk-linus/sound/oss/ymfpci.c	2002-11-21 02:26:12.000000000 +0000
+++ linux-2.5/sound/oss/ymfpci.c	2002-11-21 18:06:26.000000000 +0000
@@ -2653,7 +2659,7 @@ static struct pci_driver ymfpci_driver =
 	name:		"ymfpci",
 	id_table:	ymf_id_tbl,
 	probe:		ymf_probe_one,
-	remove:         __devexit_p(ymf_remove_one),
+	remove:		__devexit_p(ymf_remove_one),
 	suspend:	ymf_suspend,
 	resume:		ymf_resume
 };
